Provided by: devscripts_2.10.61ubuntu5_i386 bug

NOM

       rc-alert  - Rechercher les paquets installés ayant des bogues empêchant
       leur intégration dans la prochaine distribution

SYNOPSIS

       rc-alert [options dinclusion] [--debtags  [tag[,tag  ...]]  [--popcon]
       [paquet ...]
       rc-alert --help|--version

DESCRIPTION

       rc-alert  télécharge  la  liste  des  bogues empêchant l’intégration de
       paquets dans la prochaine  distribution  (« release-critical »)  depuis
       les  pages  web  du  BTS  Debian,  puis  affiche l’ensemble des paquets
       installés sur le système, ou fournis sur la ligne de commande,  qui  se
       trouvent dans cette liste.

       Si le répertoire ~/.devscripts_cache existe ou que l’option --cache est
       donnée, la liste de téléchargement (qui peut être importante) sera mise
       en  cache  et  sera  seulement téléchargée une nouvelle fois lors d’une
       seconde invocation si elle a changé.

OPTIONS

       --cache
              Force la création du répertoire de cache ~/.devscripts_cache.

       --help, -h
              Afficher un résumé des options.

       --version, -v
              Affiche la version et le copyright.

       Il est également possible de filtrer la liste des  bogues  en  fonction
       des  étiquettes et de la distribution associée aux paquets. Les options
       de filtrage sont :

       --include-tags, -f
              Une liste d’étiquettes que le bogue doit avoir, dans  le  format
              utilisé  pour  la  sortie.  Par exemple, pour inclure les bogues
              avec l’étiquette security ou help, utilisez « SH ».

       --include-tag-op, -t
              Lorsqu’elle vaut and, un bogue doit avoir toutes les  étiquettes
              indiquées par --includetags.

       --exclude-tags
              Une  liste  d’étiquettes que le bogue ne doit pas avoir, dans le
              même format que pour --includetags.

       --exclude-tag-op
              Lorsqu’elle  vaut  and,  un  bogue  ne  doit  avoir  aucune  des
              étiquettes indiquées par --excludetags. Par défaut un bogue sera
              exclu s’il a une des étiquettes.

       --include-dists, -d
              Une liste de distributions pour lesquelles le bogue  s’applique,
              au  format utilisé pour la sortie. Par exemple, pour inclure les
              bogues qui affectent testing ou unstable, utilisez « TU ».

       --include-dist-op, -o
              Lorsqu’elle vaut and, un bogue doit  s’appliquer  à  toutes  les
              distributions indiquées pour être sélectionné.

       --exclude-dists
              Une  liste  de distribution pour lesquelles le bogue ne doit pas
              s’appliquer, dans le même format que pour --includedists.

       --exclude-dist-op
              Lorsqu’elle vaut and, un bogue doit  s’appliquer  à  toutes  les
              distributions  indiquées  pour  être exclu. Par défaut, le bogue
              sera exclu s’il s’applique à une des distributions listées.

       Il est également possible de ne lister que les bogues qui ont certaines
       étiquettes  utilisateur  (« debtags »).  Notez  que  vous  devez  avoir
       installé  debtags  et  que  les  étiquettes  utilisateur  ne  sont  pas
       nécessairement  configurées  comme  il  faut  par  les responsables des
       paquets. La liste produite sera donc probablement incomplète.

       --debtags
              Sélectionner les paquets en  fonction  des  étiquettes  listées.
              Chaque  paquet  est  sélectionné  seulement  s’il  a  toutes les
              étiquettes listées ; dans le cas de plusieurs étiquettes  de  la
              même   facette,  un  paquet  est  sélectionné  s’il  a  une  des
              étiquettes listées d’une facette.

       --debtags-database
              Utiliser une base de données debtags non standard.  La  base  de
              données par défaut est /var/lib/debtags/packages-tags.

       Popularity-contest  collecte  des  données concernant l’installation et
       l’utilisation des paquets  Debian.  Vous  pouvez  également  trier  les
       bogues par le rang popcon des paquets correspondants.

       --popcon
              Trier  les  bogues  par  le rang popcon des paquets auxquels les
              bogues appartiennent.

       --pc-vote
              Par défaut, les paquets sont triés  en  fonction  du  nombre  de
              personnes  qui  ont  installé  le paquet. Cette option permet de
              trier  en  fonction  du  nombre  de  personnes   qui   utilisent
              régulièrement le paquet. Cette option n’a aucun effet quand elle
              est combinée à --pc-local.

       --pc-local
              Au lieu de télécharger les données, utiliser les informations de
              la dernière exécution de popcon (/var/log/popularity-contest).

EXEMPLES

       --include-dists OS
              Le bogue doit s’appliquer à au moins oldstable ou stable

       --include-dists TU --include-dist-op and
              Le bogue doit s’appliquer à testing et unstable

       --include-dists O --include-tags S --exclude-tags +
              Le  bogue doit s’appliquer à oldstable et doit avoir l’étiquette
              security, sans l’étiquette patch

       --exclude-dists SOT --include-tags R
              Le bogue ne doit s’appliquer qu’à unstable ou  experimental  (ou
              les deux) et doit avoir l’étiquette unreproducible

       --debtags implemented-in::perl,role::plugin,implemented-in::python
              Le  bogue  doit  s’appliquer  aux  paquets qui correspondent aux
              étiquettes debtags indiquées, c’est-à-dire que la  sélection  ne
              comprendra  que des paquets qui ont l’étiquette « role::plugin »
              et  qui  ont  soit  l’étiquette  « implemented-in::perl »,  soit
              l’étiquette « implemented-in::python ».

       --popcon --pc-local
              Lire  /var/log/popularity-contest  et trier les bogues par votre
              classement  popcon  (qui  correspond  grossièrement  à   l’heure
              d’accès des binaires de vos paquets).

BOGUES

       Il  n’est  pas  possible  de  demander « ne s’applique pas uniquement à
       unstable »

VOIR AUSSI

       debtags(1) popbugs(1) popularity-contest(8)

AUTEUR

       rc-alert a été écrit par Anthony DeRobertis et a été modifié par Julian
       Gilbey  <jdg@debian.org>  et Adam D. Barratt <adam@adam-barratt.org.uk>
       pour le paquet devscripts. Les fonctionnalités debtags  et  popcon  ont
       été ajoutées par Jan Hauke Rahm <info@jhr-online.de>.

TRADUCTION

       Ce   document  est  une  traduction,  réalisée  par  Nicolas  François,
       Guillaume Delacour, Cyril Brulebois et Thomas Huriaux.

       L’équipe de traduction a fait le maximum pour réaliser  une  adaptation
       française de qualité.

       La  version  anglaise  la  plus  à  jour  de  ce  document est toujours
       consultable en ajoutant l’option « -L C » à la commande man.

       N’hésitez pas à signaler  à  l’auteur  ou  à  la  liste  de  traduction
       <debian-l10-french@lists.debian.org>,  selon  le cas, toute erreur dans
       cette page de manuel.